Subject: Cannot Put Non-ASCII Characters in Init Files

From: Bostjan Vilfan <[email-masked]>
Date: Sat, 29 Nov 2008 12:51:58 -0500 (EST)

--text follows this line--

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list,
and to the gnu.emacs.bug news group.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

This is most probably not a bug; but needs some input from an expert.
In Section 57.6.5 of the Emacs manual (Non-ASCII Characters in Init Files) it is stated
that to use non-ASCII characters the init file must start with a line of the form:
-*-coding: <coding system name> -*-

I tried that with coding system equal to utf-8 and got the following error:

Debugger entered--Lisp error: (void-variable \337-*-coding:)
  eval-buffer(#<buffer   *load*> nil "c:/Documents and Settings/Bostjan/My Documents/.emacs.d/init.el" nil t)  ;  Reading at buffer position 12
  load-with-code-conversion("c:/Documents and Settings/Bostjan/My Documents/.emacs.d/init.el" "c:/Documents and Settings/Bostjan/My Documents/.emacs.d/init.el" t t)
  load("c:/Documents and Settings/Bostjan/My Documents/.emacs.d/init" t t)
  #[nil ^H\205\276^@  \306=\203^Q^@\307^H\310Q\202A^@ \311=\2033 etc.

When I replaced the first line as described above with the following three
lines at the end

;; Local Variables: **
;; coding:utf-8 **
;; End: **

I got a different error:

Debugger entered--Lisp error: (error "Invalid modifier in a string") etc.

any advice would be appreciated
Regards
Bostjan

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
c:/Program Files/GNU/Emacs/emacs-22.3/etc/DEBUG for instructions.

In GNU Emacs 22.3.1 (i386-mingw-nt5.1.2600)
 of 2008-09-06 on SOFT-MJASON
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4)'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ENU
  locale-coding-system: cp1250
  default-enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
  encoded-kbd-mode: t
  tooltip-mode: t
  tool-bar-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  blink-cursor-mode: t
  unify-8859-on-encoding-mode: t
  utf-translate-cjk-mode: t
  auto-compression-mode: t
  line-number-mode: t

Recent input:
<help-echo> <switch-frame> <switch-frame> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<switch-frame> <tool-bar> <kill-buffer> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<tool-bar> <one-window> <help-echo> <help-echo> M-x 
o r f i l e <return> <kp-down> <kp-down> <kp-down> 
<tab> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<down-mouse-1> <mouse-2> <help-echo> <tool-bar> <kill-buffer> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <menu-bar> 
<buffer> "*GNU Emacs*" <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<tool-bar> <help>

Recent messages:
Preparing diary...done
Preparing diary...done
Preparing diary...done
Preparing diary...done
Preparing diary...done
Preparing diary...done
Preparing diary...done
For information about GNU Emacs and the GNU system, type C-h C-a.
CHILDREN
Loading emacsbug...done